summaryrefslogtreecommitdiff
path: root/localedata/tst-fmon.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-04-10 05:13:54 +0000
committerUlrich Drepper <drepper@redhat.com>2000-04-10 05:13:54 +0000
commit8956ac9e979f950559b0b2d4f8a0726c70ceee8e (patch)
tree68d3b4a64c6d67a4dfcfcccdba995a20fa08d7f3 /localedata/tst-fmon.sh
parentfe9d16a5440664700aed78cb6cf2837e01dedddb (diff)
Update.
2000-04-09 Ulrich Drepper <drepper@redhat.com> * localedata/Makefile: Add rules to clean up directories created by new strfmon tests. 2000-04-09 Geoff Clare <gwc@unisoft.com> * localedata/tst-fmon.data: Added new tests for strfmon() using test locales with all combinations of cs_precedes, sign_posn and sep_by_space. * localedata/tst-fmon.sh: Updated to support the new tests. * localedata/tst-fmon-locales/tstfmon_n01y12: New file containing the localedef source for the new strfmon() test locale. * localedata/tst-fmon-locales/tstfmon_n02n40: Likewise. * localedata/tst-fmon-locales/tstfmon_n10y31: Likewise. * localedata/tst-fmon-locales/tstfmon_n11y41: Likewise. * localedata/tst-fmon-locales/tstfmon_n12y11: Likewise. * localedata/tst-fmon-locales/tstfmon_n20n32: Likewise. * localedata/tst-fmon-locales/tstfmon_n30y20: Likewise. * localedata/tst-fmon-locales/tstfmon_n41n00: Likewise. * localedata/tst-fmon-locales/tstfmon_y01y10: Likewise. * localedata/tst-fmon-locales/tstfmon_y02n22: Likewise. * localedata/tst-fmon-locales/tstfmon_y22n42: Likewise. * localedata/tst-fmon-locales/tstfmon_y30y21: Likewise. * localedata/tst-fmon-locales/tstfmon_y32n31: Likewise. * localedata/tst-fmon-locales/tstfmon_y40y00: Likewise. * localedata/tst-fmon-locales/tstfmon_y42n21: Likewise. * stdlib/strfmon.c: Correct problems with missing or extra spaces for unusual combinations of sign_posn and sep_by_space. Improved left-precision alignment code.
Diffstat (limited to 'localedata/tst-fmon.sh')
-rwxr-xr-xlocaledata/tst-fmon.sh20
1 files changed, 17 insertions, 3 deletions
diff --git a/localedata/tst-fmon.sh b/localedata/tst-fmon.sh
index a98a3bfce0..a1c9ad5d3c 100755
--- a/localedata/tst-fmon.sh
+++ b/localedata/tst-fmon.sh
@@ -19,13 +19,17 @@
# not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+DEBUG=0
+case $1 in
+-d) DEBUG=1; shift ;;
+esac
+
common_objpfx=$1
datafile=$2
-DEBUG=0
here=`pwd`
-lang=`sed -e '/^#/d' -e '/^$/d' -e '/^C /d' -e 's/^\([^ ]*\).*/\1/' $datafile | sort | uniq`
+lang=`sed -e '/^#/d' -e '/^$/d' -e '/^C /d' -e '/^tstfmon/d' -e 's/^\([^ ]*\).*/\1/' $datafile | sort | uniq`
# Generate data files.
for l in $lang; do
@@ -37,6 +41,14 @@ for l in $lang; do
${common_objpfx}locale/localedef \
--quiet -i $cn -f $fn ${common_objpfx}localedata/$cns
done
+for cns in `cd ./tst-fmon-locales && ls tstfmon_*`; do
+ cn=tst-fmon-locales/$cns
+ fn=charmaps/ISO-8859-1
+ I18NPATH=. \
+ ${common_objpfx}elf/ld.so --library-path $common_objpfx \
+ ${common_objpfx}locale/localedef \
+ --quiet -i $cn -f $fn ${common_objpfx}localedata/$cns
+done
# Run the tests.
IFS=" " # This is a TAB
@@ -54,7 +66,9 @@ while read locale format value expect; do
else
echo "Locale: \"${locale}\" Format: \"${format}\"" \
"Value: \"${value}\" Expect: \"${expect}\" failed"
- exit 1
+ if [ $DEBUG -eq 0 ]; then
+ exit 1
+ fi
fi
fi
done < $datafile